debian stretch + ryzen 2200g 3D gyorsitas

 ( x-daemon | 2018. november 18., vasárnap - 17:42 )

mar mukodik stretch backportsbol a ryzen 2200g 3D gyorsitassal

/etc/apt/sources.list:
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian stretch-backports main contrib non-free
deb http://security.debian.org/debian-security stretch/updates main contrib non-free

csak a kovetkezo csomagokat kell feltenni:

# apt-get install -t stretch-backports libegl1-mesa libgbm1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgles2-mesa libwayland-egl1-mesa libxatracker2 mesa-va-drivers mesa-vdpau-drivers firmware-amd-graphics linux-image-4.18.0-0.bpo.1-amd64

ha vulkan is kell akkor a mesa-vulkan-drivers csomagot is fel kell tenni

amivel teszteltem:
- webgl water: http://madebyevan.com/webgl-water/
- android studio
- rise of the tomb raider: low preset es 1280x720 felbontas 34fps
- vmware player 15: itt nincs 3D gyorsitas
- android x86 qemu-val http://www.android-x86.org/releases/releasenote-7-1-r2

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Tesztelnél még a Steam-en is valamit? :)

Ha ilyen óhajok vannak, hogy Ryzen 2200g, meg Rájzövdö Túmrinya, Proton-DXVK, stb., akkor érdemesebb a 4.19-es kernelre és legalább a 18.2-es mesa-ra rámenni. Vagy egy másik, nagyobb frissességet nyújtó disztró keretében, vagy külső tárolókat hozzáadva.


No keyboard detected... Press F1 to run the SETUP

bocs ha rosszul fogalmaztam ezert nem ment at, a fenti leiras azoknak szol, akik abban gondolkoznak, hogy stabil debian mellett tudjak hasznalni a ryzen 2200g-t ugy hogy alapveto 3D gyorsitas is mukodjon ajta, pl. glamor, webgl
jatekra win10-et ajanlanek dedikalt video kartyaval.

--
neked aztan fura humorod van...

Az 18-as amdgpu driver nélkül sajnos nem működik. Apt pinninggel feltettem a Busterben találhatót ugyan, de meg se hajlandó nyikkanni Athlon 200GE-vel. Csak nekem tűnik félmunkának így, vagy valamit még bizgerélnem kellene?

az valamivel ujabb, elkepzelheto hogy meg nem mindenhol epitettek be a tamogatast

illetve olvastam hogy BIOS fuggo is lehet: http://www.phoronix.com/vr.php?view=26933

3 fele alaplapban probaltam: PRIME-B350M-E, PRIME-B450M-A es PRIME-B450M-K

vegul ezeket frissitettem:
root@debian:~# apt-show-versions |grep stretch-backports
firmware-amd-graphics:all/stretch-backports 20190114-1~bpo9+2 uptodate
libdrm-amdgpu1:amd64/stretch-backports 2.4.95-1~bpo9+1 uptodate
libdrm-common:all/stretch-backports 2.4.95-1~bpo9+1 uptodate
libdrm-intel1:amd64/stretch-backports 2.4.95-1~bpo9+1 uptodate
libdrm-nouveau2:amd64/stretch-backports 2.4.95-1~bpo9+1 uptodate
libdrm-radeon1:amd64/stretch-backports 2.4.95-1~bpo9+1 uptodate
libdrm2:amd64/stretch-backports 2.4.95-1~bpo9+1 uptodate
libegl-mesa0:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libegl1:amd64/stretch-backports 1.1.0-1~bpo9+1 uptodate
libegl1-mesa:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libgbm1:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libgl1:amd64/stretch-backports 1.1.0-1~bpo9+1 uptodate
libgl1-mesa-dri:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libgl1-mesa-glx:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libglapi-mesa:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libgles2:amd64/stretch-backports 1.1.0-1~bpo9+1 uptodate
libgles2-mesa:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libglvnd0:amd64/stretch-backports 1.1.0-1~bpo9+1 uptodate
libglx-mesa0:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libglx0:amd64/stretch-backports 1.1.0-1~bpo9+1 uptodate
libllvm6.0:amd64/stretch-backports 1:6.0-1~bpo9+1 uptodate
libvulkan1:amd64/stretch-backports 1.1.70+dfsg1-1~bpo9+1 uptodate
libwayland-client0:amd64/stretch-backports 1.16.0-1~bpo9+1 uptodate
libwayland-egl1:amd64/stretch-backports 1.16.0-1~bpo9+1 uptodate
libwayland-egl1-mesa:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
libwayland-server0:amd64/stretch-backports 1.16.0-1~bpo9+1 uptodate
libxatracker2:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
linux-compiler-gcc-6-x86:amd64/stretch-backports 4.19.16-1~bpo9+1 uptodate
linux-headers-4.19.0-0.bpo.2-amd64:amd64/stretch-backports 4.19.16-1~bpo9+1 uptodate
linux-headers-4.19.0-0.bpo.2-common:all/stretch-backports 4.19.16-1~bpo9+1 uptodate
linux-image-4.19.0-0.bpo.2-amd64:amd64/stretch-backports 4.19.16-1~bpo9+1 uptodate
linux-kbuild-4.19:amd64/stretch-backports 4.19.16-1~bpo9+1 uptodate
mesa-va-drivers:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
mesa-vdpau-drivers:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate
mesa-vulkan-drivers:amd64/stretch-backports 18.2.8-2~bpo9+1 uptodate

--
neked aztan fura humorod van...

Igazából valamilyen boot paramétert sejtek problémásnak, mert Mint 19.1-en is csak az amdgpu.dc=1 paraméter segített, de a Stretchnél már az se. Jellemzően a Manjaro se indult paraméter nélkül.

No egy saját fordítású 5.0.2-es kernel meg is oldotta a problémát.

grat. mar csak az a kerdes hogy a busterben levo kernelbe visszaportoljak-e majd, vagy buster-backports-ot kell hasznalnod

--
neked aztan fura humorod van...

Szerintem buster-backports lesz majd a dologból.

bocs, de ide is, 2019 a Linux Desktop éve! Már évtizedek óta...

Hála a Teremtőnek, hogy a Linux Desktop éve soha nem fog eljönni...